/* General Styles */
body {
    font-family: Arial, sans-serif;
    background-color: #f4f4f4;
    margin: 0;
    padding: 0;
    height:100%;
    overflow-x: hidden;
}

/*Body login*/
.loginMain{
    height:100vh;
    overflow:hidden;
}

.refreshButton:focus{
    outline:0 !important;
}

*:focus{
    outline:0;
}

#body-content
{
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.body-flex{
    flex: 1; 
    padding: 20px;
    display: flex;
    flex-direction: column;

}

h1,h2 {
    text-align: center;
    color: #333;
    margin-top: 20px;
    text-align: center;
}

/* Form Styles */
.filterForm {
    padding: 20px;
    border-top: 1px solid #CCC;
    border-bottom: 1px solid #CCC;
}

.searchType{
    margin: 0px 10px 0px 10px;
    padding: 5px 25px;
    border: 0px;
    border-bottom: 1px solid #CCC;
    font-size:15px;
    width:200px;
    color:#000000;
    -webkit-appearance: none;  
    appearance: none;  
}

.searchType:focus{
    background-color:#F2F2F2;
    border:0px;
    border-bottom:1px solid #B3B3B3;
}

#search{
    background-color: #e2e6ea;
    padding: 5px 25px;
    border: 0px;
    border-left: 1px solid #CCC;
}

#search:focus{
    border:0px;
    border-right:1px solid #B3B3B3;
}

/* Table Styles */
#resultTable {
    flex-grow: 1; 
    overflow-y: auto; 
    margin: 20px auto;
    min-width:100%;
    max-width: 100%;
    max-height: calc(100vh - 300px); 
    background-color:#fff;
    overflow-x:hidden;
}

table {
    width: 100%;
    border-collapse: collapse;
    background-color: #fff;
    border-radius: 8px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

th, td {
    padding: 12px;
    text-align: left;
    border-bottom: 1px solid #ddd;
    cursor: default;
}

th {
    background-color: #f2f2f2;
    color: #333;
}

tr:nth-child(even) {
    background-color: #f9f9f9;
}

tr:hover {
    background-color: #f1f1f1;
}

td>i{
    cursor: pointer;
}

.overlay {
    position: fixed; /* Fixa o overlay em relação à janela de visualização */
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5); /* Cor de fundo semi-transparente */
    color: white;
    display: flex; /* Usado para centralizar o conteúdo do overlay */
    align-items: center; /* Alinha verticalmente no centro */
    justify-content: center; /* Alinha horizontalmente no centro */
    z-index: 9999; /* Garante que o overlay fique acima de outros elementos */
    font-size: 1.5em;
    font-family: Arial, sans-serif;
    display: none; /* Oculta o overlay por padrão */
}

.overlay.show {
    display: flex; /* Mostra o overlay quando a classe 'show' é adicionada */
}

.overlay .spinner {
    border: 16px solid #f3f3f3; /* Cor do fundo do spinner */
    border-top: 16px solid #3498db; /* Cor do topo do spinner */
    border-radius: 50%;
    width: 50px;
    height: 50px;
    animation: spin 2s linear infinite;
    margin-left:50%;
    margin-top:25%;
    transform: translate(-50%,-50%);
}

/* Animação do spinner */
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

footer {
        position: relative;
        left: 0;
        bottom: -10px;
        width: 100%;
        background-color: rgba(245, 245, 245,0.8); 
        padding: 10px 0; 
        font-size: 12px;
        
    }

footer a{
        font-weight: bold;
        text-decoration:none;
        color:#6c757d;
    }

footer a:hover{
        color:#cccccc;
    }

.footer p {
    margin: 0px 20px;
}


.modal-upload {
    display: none; /* Escondido por padrão */
    position: fixed; /* Fixo na tela */
    z-index: 100; /* Fica na frente */
    left: 0;
    top: 0;
    width: 100%; /* Largura total */
    height: 100%; /* Altura total */
    background-color: rgba(0, 0, 0, 0.7); /* Fundo escuro com transparência */
}

.modal-content-upload, .modal-content-img {
    background-color: #f0f0f0; /* Cinza quase branco */
    margin: 5% auto; /* Centraliza */
    padding: 20px;
    border: 1px solid #888;
    border-radius: 5px; /* Bordas arredondadas */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra */
        min-width: 50%;
    max-width: 70%;
}


#img-preview{
    width: 300px;
    margin-top: 2em;
    margin-left: 50%;
    transform: translateX(-50%);
}

.close-upload, .close-img {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close-upload:hover, .close-img:hover,
.close-upload:focus, .close-img:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.input-upload
{
    border:0px solid;
    margin:auto;
}
#uploadButton, #RemoveButton, #closePreview{
    background-color: #DDD;
    border:0px solid;
    padding:10px 20px;
    transition:.5s ease;
}
#uploadButton:hover,#RemoveButton:hover, #closePreview:hover
{
    background-color: #CCC;
}

#item-upload-cor,
#item-upload-tamanho{display: none;}


.notification-icon {
    position: absolute;
    top: 10px;
    right: 50px;
    padding: 10px;
    display: flex;
}

.icon-button {
    transition: .5s;
    border: none;
    border-radius: 50%; 
    width: 40px; 
    height: 40px; 
    align-items: center;
    justify-content: center;
    position: relative; 
    font-size: 18px;
}

.message-type{
    text-decoration: none;
    list-style: none;
}

.message-type li{
    cursor:pointer;
    transition:.5s;
    padding:10px;
}
.message-type li:hover{
    background-color:#CCC;
}

.icon-button:hover
{
    background-color: #CCC;
}

.badge {
        top: -10px;
    position: relative;
    right: 10px;
    color: #FFF;
    background-color: red; 
    border-radius: 50%;
    padding: 3px 6px;
    font-size: 12px;
    margin-left:5px;
}

.modal-msg {
    display: none; /* Escondido por padrão */
    position: fixed; /* Fixo na tela */
    z-index: 1; /* Fica na frente */
    left: 0;
    top: 0;
    width: 100%; /* Largura total */
    height: 100%; /* Altura total */
    background-color: rgba(0, 0, 0, 0.7); /* Fundo escuro com transparência */
}

.modal-content-msg {
    background-color: #f0f0f0; /* Cinza quase branco */
    margin: 15% auto; /* Centraliza */
    padding: 20px;
    border: 1px solid #888;
    width: 70%; /* Largura do modal */
    border-radius: 5px; /* Bordas arredondadas */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra */
}


.refreshButton{
    padding:20px 10px;
    border:1px solid transparent;
    background-color:#e2e6ea;
    transition: .5s;
    color:#000000;
    border-radius: 5px;
}

.refreshButton:hover{
background-color: #6c757d;
border:1px solid #6c757d;
color:#FFF;
}

.refreshButton i {
    transition: transform 0.5s;
}

.refreshButton:hover i {
    animation: rotateInfinite 2s linear infinite;
}

@keyframes rotateInfinite {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}
.item-img
{
    cursor: pointer;
}

.tablePlaceholder{
    padding-top: 150px;
    text-align: center;
}
.tablePlaceholder span {
    color: #d9d9d9;
    font-size: 30px;
    margin: 0; 
}

#t1:hover{
    background-color:#A3C1DA;
}

#t2:hover{
    background-color: #B7E5B9;
}

#pv:hover{
    background-color:#F7B2A0 ;
}

#lg:hover{
    background-color: #D8C4E5;
}

#ol:hover{
    background-color: #FBEBAE;
}

#ll:hover{
    background-color: #F5C7A5;
}


/*
    Login ---
*/
#username,#password{
    background-color: #f2f2f2;
}

#username:focus,#password:focus{
    outline:0!important;
    background-color: #e2e6ea;
    box-shadow: none;
}


@media (max-width: 1300px) 
{

    #resultTable{
        font-size:12px;
    }

    .filterForm{
        font-size:12px;
    }

    .filterForm input{
        font-size: 12px;
    }

    .searchType{
        padding:5px;
        font-size:12px;
        width:180px;
    }

}

@media (max-width: 900px)
    {
     #resultTable {
            flex-grow: 2;  /* Permite que o resultTable cresça mais em dispositivos móveis */
            height: auto;  /* Permite que a altura seja dinâmica dependendo do conteúdo */
            min-height: 1000px;  /* Ajuste de altura mínima, você pode aumentar conforme necessário */
        }

        .refreshButton{
            width:100%;
        }

        .footer{
            font-size:10px;
        }


        .footer .text-right, .footer .text-left{
            text-align: center!important;
        }

        .footer>.row{
            flex-wrap: nowrap;
        }
    }

@media (max-width: 1280px) {

    .item-img{
        width: 120px;
    }

    span,select,td{font-size:12px;}
    .modal-content-img{
        margin:30px auto;
    }
    #img-preview{
        width: 200px;
    }
    h2{
        font-size:1.5rem;
    }
    #uploadButton, #RemoveButton, #closePreview
    {
        font-size: 12px;
    }

    #resultTable{
            max-height: calc(100vh - 200px);
    }

    .tablePlaceholder{
        padding:10%;
    }
    .tablePlaceholder span{
        font-size: 12px;

    }
}

